Subject: bug#16963: A patch to create a list-with-tail primitive.

From: Daniel Colascione <[email-masked]>
Date: Mon, 24 Mar 2014 19:45:04 -0700

On 03/24/2014 07:10 PM, Stefan wrote:
>> Since a comment in backquote.el said that backquote-list* needed to be a
>> primitive, here is an implementation of it as one, under the name
>> list-with-tail.
> 
> I think it would make more sense to call it `list*'.  Also it might make
> sense to change backquote.el so it uses this `list*' (tho probably only
> when passed with enough arguments).

Agreed. On more that one occasion, I've wished we had a CL-less `list*'.
If you do add this feature, please make sure the existing list* compiler
macros keep working.